Bug 184937 - multimedia/mplayer ia64 regression - disable RTCPU
Summary: multimedia/mplayer ia64 regression - disable RTCPU
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-17 15:30 UTC by Anton Shterenlikht
Modified: 2013-12-24 17:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shterenlikht 2013-12-17 15:30:00 UTC
Starting From r336566, the port has:
BROKEN=Does not detect CPU correctly on ia64

It is true that ia64 doesn't support RTCPU,
but the port builds and runs fine with RTCPU
disabled.

I suggest removing BROKEN, and put instead

.if ${ARCH} == "ia64"
RTCPU= off
.endif

or whatever the correct syntax is.

Please also note PR 153776:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153776

should probably be closed, as it is now obsolete.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-17 15:30:08 UTC
Maintainer of multimedia/mplayer,

Please note that PR ports/184937 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184937

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-17 15:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Thomas Zander 2013-12-17 15:50:11 UTC
Great, thanks for the feedback. I don't have an ia64 around, so I am
usually constrained to guessing.
I'll update the port as soon as I can.

Riggs
Comment 4 Thierry Thomas freebsd_committer 2014-06-01 08:04:36 UTC
State Changed
From-To: feedback->analyzed


Feedback received. See PR ports/185142. 



Comment 5 Thierry Thomas freebsd_committer 2014-06-01 08:04:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 6 Thierry Thomas freebsd_committer 2014-06-01 08:04:36 UTC
State Changed
From-To: analyzed->closed


Committed with PR ports/185142 - Thanks for the report!